# FoundationClasses
TKAdvTools
Expr

# Expr_UnaryFunction Class Reference

Defines the use of an unary function in an expression
with a given argument.
.

`#include <Expr_UnaryFunction.hxx>`

Inheritance diagram for Expr_UnaryFunction:

[legend]

## Public Member Functions

Standard_EXPORT | Expr_UnaryFunction (const Handle(Expr_GeneralFunction)&func, const Handle(Expr_GeneralExpression)&exp)
| Creates me as <func>(<exp>). Raises exception if <func> is not unary. .
Standard_EXPORT Handle_Expr_GeneralFunction | Function () const
| Returns the function defining <me>. .
Standard_EXPORT Handle_Expr_GeneralExpression | ShallowSimplified () const
| Returns a GeneralExpression after a simplification of the arguments of <me>. .
Standard_EXPORT Handle_Expr_GeneralExpression | Copy () const
| Returns a copy of <me> having the same unknowns and functions. .
Standard_EXPORT Standard_Boolean | IsIdentical (const Handle(Expr_GeneralExpression)&Other) const
| Tests if <me> and <other> define the same expression. This method does not include any simplification before testing. .
Standard_EXPORT Standard_Boolean | IsLinear () const
| Tests if <me> is linear on every NamedUnknown it contains. .
Standard_EXPORT Handle_Expr_GeneralExpression | Derivative (const Handle(Expr_NamedUnknown)&X) const
| returns the derivative on <x> unknown of <me>.
Standard_EXPORT Standard_Real | Evaluate (const Expr_Array1OfNamedUnknown &vars, const TColStd_Array1OfReal &vals) const
| Returns the value of <me> (as a Real) by replacement of <vars> by <vals>. Raises NotEvaluable if <me> contains NamedUnknown not in <vars> or NumericError if result cannot be computed. .
Standard_EXPORT TCollection_AsciiString | String () const
| returns a string representing <me> in a readable way.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Expr_GeneralFunction | myFunction

## Constructor & Destructor Documentation

Standard_EXPORT Expr_UnaryFunction::Expr_UnaryFunction | ( | const Handle(Expr_GeneralFunction)& | func,
|  | const Handle(Expr_GeneralExpression)& | exp
| ) |

## Member Function Documentation

Standard_EXPORT Handle_Expr_GeneralExpression Expr_UnaryFunction::Copy | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Handle_Expr_GeneralExpression Expr_UnaryFunction::Derivative | ( | const Handle(Expr_NamedUnknown)& | X | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Standard_Real Expr_UnaryFunction::Evaluate | ( | const Expr_Array1OfNamedUnknown & | vars,
|  | const TColStd_Array1OfReal & | vals
| ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Handle_Expr_GeneralFunction Expr_UnaryFunction::Function | ( |  | ) | const

Standard_EXPORT const Expr_UnaryFunction::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Expr_UnaryExpression.

Standard_EXPORT Standard_Boolean Expr_UnaryFunction::IsIdentical | ( | const Handle(Expr_GeneralExpression)& | Other | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Standard_Boolean Expr_UnaryFunction::IsLinear | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Handle_Expr_GeneralExpression Expr_UnaryFunction::ShallowSimplified | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT TCollection_AsciiString Expr_UnaryFunction::String | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

## Field Documentation

Handle_Expr_GeneralFunction Expr_UnaryFunction::myFunction `[private]`

The documentation for this class was generated from the following file:

- Expr_UnaryFunction.hxx